---
- name: Gather Ansible Facts
  ansible.builtin.setup:

- include: 00-amazon-os-main.yml
  tags: amazon
  when: ansible_facts.os_family == 'RedHat' 

- include: 00-ubuntu-os-main.yml
  tags: ubuntu
  when: ansible_facts.os_family == 'Debian'

- include: 01-amazon-os-docker.yml
  tags: cent-docker
  when: ansible_facts.os_family == 'RedHat'

- include: 01-ubuntu-os-docker.yml
  tags: ubuntu-docker
  when: ansible_facts.os_family == 'Debian'
